
#include <iostream>
#include <string>
using namespace std;

string s1;
int chips[10];
int players, Length;
int Center;

void init(){
  for(int i=0;i<players;i++) chips[i]=3;
}

void MakeMove(int i, char roll){
  int p;

  if(roll=='R'){
   if(i==0) p=players-1;
   else {p = i-1;}
   chips[p]++;
   chips[i]--;
  }
  if(roll=='L'){
   p = i+1; p %= players;
   chips[p]++;
   chips[i]--;
  }
  if(roll=='C'){
   chips[i]--;
   Center++;
  }
}

bool Winner(){
  // check if only one person has chips
  int Count=0;
  for(int i=0;i<players; i++)
    if(chips[i]>0) Count++;
  if(Count>1) return false;
  if(Count==1) return true;
  if(Count==0) {cout<<"ERROR*** zero chips left"<<endl; return true;}
}

int FindWinner(){
  // know only one with chips
  for(int i=0; i<players; i++)
   if(chips[i]>0) return i;
}


void PrintChips(){
  for(int i=0;i<players; i++) cout<<chips[i]<<' ';
  cout<<endl;
}

int main(){
  bool done;
  char roll;
  int TheWinner, NextPlayer, p, i;
  int gameno=1;

  cin>>players;
  while(players>0){
   cin>>s1;
   Length = s1.size();
   init();
   p=0;i=0; done=false;TheWinner=-1; NextPlayer=-1; Center = 0;
   
   while(!done){
    if(chips[p]>2)
      if(Length-i>2) {  //enogh rolls left
         roll = s1[i++];
        MakeMove(p,roll);
        roll = s1[i++];
        MakeMove(p,roll);
        roll = s1[i++];
        MakeMove(p,roll);
        p++;  p %= players;
     }
      else done = true;
    else if(chips[p]==2)
      if(Length-i>1) { //enough rolls left
        roll = s1[i++];
        MakeMove(p,roll);
        roll = s1[i++];
        MakeMove(p,roll);
        p++;  p %= players;
      }
      else done = true;
    else if(chips[p]==1)
      if(i<Length){
        roll = s1[i++];
        MakeMove(p,roll);
        p++;  p %= players;
      }
      else done = true;
    else if(chips[i]==0) {
      p++; p %= players;
      }
    if(i>=Length) done = true;
    if(Winner()) done = true;
   }
   //  done with game
   if(Winner()) TheWinner = FindWinner();
   else  {
     NextPlayer = p;
     while(chips[NextPlayer]==0) NextPlayer = (NextPlayer % players) + 1;
   }

   if(gameno>1) cout<<endl;
   cout<<"Game "<<gameno++<<':'<<endl;
   for(int i=0;i<players;i++){
     cout<<"Player "<<i+1<<':'<<chips[i];
     if(i==TheWinner) cout<<"(W)";
     if(i==NextPlayer) cout<<"(*)";
     cout<<endl;
   }
   cout<<"Center:"<<Center<<endl;

   cin>>players;
  }

  return 0;
}
